> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/initiate-optimized.md).

# Initiate (Optimized)

## GET /api/Public/InitiateControllerOptimized/test

> Test initiate

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateControllerOptimized"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InitiateControllerOptimized/test":{"get":{"tags":["InitiateControllerOptimized"],"responses":{"200":{"description":"OK"}},"summary":"Test initiate","operationId":"get_InitiateControllerOptimized_test"}}}}
```

## POST /api/Public/InitiateControllerOptimized/echo

> Echo initiate

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateControllerOptimized"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InitiateControllerOptimized/echo":{"post":{"tags":["InitiateControllerOptimized"],"requestBody":{"content":{"application/json":{"schema":{}}}},"responses":{"200":{"description":"OK"}},"summary":"Echo initiate","operationId":"post_InitiateControllerOptimized_echo"}}}}
```

## POST /api/Public/InitiateControllerOptimized/simple

> Simple initiate

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateControllerOptimized"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+SimpleRequest":{"required":["name","requestFrom"],"type":"object","properties":{"name":{"minLength":1,"type":"string"},"requestFrom":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/Public/InitiateControllerOptimized/simple":{"post":{"tags":["InitiateControllerOptimized"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+SimpleRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Simple initiate","operationId":"post_InitiateControllerOptimized_simple"}}}}
```

## POST /api/Public/InitiateControllerOptimized/workflow

> Workflow initiate

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateControllerOptimized"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+OptimizedSignRequest":{"type":"object","properties":{"templateList":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+TemplateData"},"nullable":true},"lstDocumentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+lstDocumentDetails"},"nullable":true},"emailId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"suppressEstampPage":{"type":"boolean"},"signatoryEmailIds":{"type":"array","items":{"type":"string"},"nullable":true},"requestFrom":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+TemplateData":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"controlDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.TemplateControlDetail"},"nullable":true},"lstDocumentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+lstDocumentDetails"},"nullable":true},"mergeDocuments":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+MergeDocument"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.TemplateControlDetail":{"type":"object","properties":{"fieldName":{"type":"string","nullable":true},"fieldType":{"type":"string","nullable":true},"fieldValue":{"type":"string","nullable":true},"isChecked":{"type":"string","nullable":true},"isSelected":{"type":"string","nullable":true},"imageData":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+lstDocumentDetails":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"templateId":{"type":"integer","format":"int32"},"controlDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.TemplateControlDetail"},"nullable":true},"mergeDocumentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+MergeDocumentmentDetails"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+MergeDocumentmentDetails":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"addSignaturePlaceholder":{"type":"boolean"},"parentDocumentId":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+MergeDocument":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InitiateControllerOptimized/workflow":{"post":{"tags":["InitiateControllerOptimized"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateControllerOptimized+OptimizedSignRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Workflow initiate","operationId":"post_InitiateControllerOptimized_workflow"}}}}
```
